Module | Sequel::JDBC::AS400::DatabaseMethods
In: | lib/sequel/adapters/jdbc/as400.rb

Instance methods for AS400 Database objects accessed via JDBC.

### Methods

database_type last_insert_id supports_transaction_isolation_levels?

### Included Modules

Sequel::JDBC::Transactions

### Constants

TRANSACTION_BEGIN | = | 'Transaction.begin'.freeze
TRANSACTION_COMMIT | = | 'Transaction.commit'.freeze
TRANSACTION_ROLLBACK | = | 'Transaction.rollback'.freeze

### Public Instance methods

database_type()

AS400 uses the :as400 database type.

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 16
    16:         def database_type
    17:           :as400
    18:         end

last_insert_id(conn, opts={})

TODO: Fix for AS400

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 21
    21:         def last_insert_id(conn, opts={})
    22:           nil
    23:         end

supports_transaction_isolation_levels?()

AS400 supports transaction isolation levels

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 26
    26:         def supports_transaction_isolation_levels?
    27:           true
    28:         end

[Validate]